# SdkSessionRequest class

Request used to initiate a Session.

Annotations
  - @JsonSerializable(explicitToJson: true)

## Constructors

SdkSessionRequest(String clientSessionId, String customerId, String clientApiUrl, String assetUrl, bool isEnvironmentProduction, String appIdentifier, bool loggingEnabled)
SdkSessionRequest.fromJson(Map<String, dynamic> json)
  factory

## Properties

appIdentifier → String
  final
assetUrl → String
  final
clientApiUrl → String
  final
clientSessionId → String
  final
customerId → String
  final
hashCode → int
  The hash code for this object.
  read-only inherited
isEnvironmentProduction → bool
  final
loggingEnabled → bool
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited